<script setup lang="ts">
import { useCookingOrderStore } from "../../stores/cooking";
// const cooking = useCookingOrderStore();
import { mdiCheckCircleOutline, mdiCloseCircle } from "@mdi/js";
import { ref } from "vue";
const cooking = ref([
  { id: 1, name: "ไข่เจียว", tableNumber: "6", notes: "" },
  { id: 2, name: "ผัดผักรวม", tableNumber: "6", notes: "" },
  { id: 3, name: "ข้าวกะเพราหมูสับ", tableNumber: "4", notes: "" },
  { id: 4, name: "ข้าวกะเพราหมูสับ", tableNumber: "4", notes: "(ไม่เผ็ด)" },
]);
</script>

<template>
  <v-container>
    <v-row>
      <v-col cols="12">
        <v-card class="mx-auto mt-3" width="550px" height="500px">
          <v-card-item>
            <v-table height="300px">
              <thead>
                <tr>
                  <th class="text-center">No.</th>
                  <th class="text-center">ชื่อ</th>
                  <th class="text-center">โต๊ะ</th>
                  <th class="text-center">เสร็จสิ้น</th>
                </tr>
              </thead>
              <tbody v-for="item of cooking" :key="item.id">
                <tr>
                  <td class="text-center">{{ item.id }}</td>
                  <td>
                    <tr>
                      {{
                        item.name
                      }}
                    </tr>
                    <tr>
                      {{
                        item.notes
                      }}
                    </tr>
                  </td>
                  <td class="text-center">{{ item.tableNumber }}</td>
                  <td class="text-center">
                    <v-btn
                      :icon="mdiCheckCircleOutline"
                      color="secondary"
                      class="ma-1"
                    ></v-btn>
                  </td>
                </tr>
              </tbody>
            </v-table>
          </v-card-item>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<style scoped></style>

<!-- <script setup lang="ts">
import { mdiCheckboxMarkedCircle } from "@mdi/js";
</script>
<template> -->
<!-- <v-card color="white">
    <v-container> -->
<!-- <v-card width="800">
    <v-toolbar color="success">
      <v-row class="justify-center">
        <div class="text-h7">โต๊ะ 6</div>
      </v-row>
    </v-toolbar>
    <v-container>
      <v-row>
        <v-col> No. </v-col>
        <v-col> ชื่อ</v-col>
        <v-col> โต๊ะ </v-col>
        <v-col> ยืนยัน </v-col>
      </v-row>
      <v-row>
        <v-col> 1 </v-col>
        <v-col> ไข่เจียว </v-col>
        <v-col> 6 </v-col>
        <v-col>
          <v-btn color="green" :prepend-icon="mdiCheckboxMarkedCircle"></v-btn>
        </v-col>
      </v-row> -->
<!-- 2-->
<!-- <v-row>
        <v-col> 1 </v-col>
        <v-col> ไข่เจียว </v-col>
        <v-col> 6 </v-col>
        <v-col>
          <v-btn color="grey" :prepend-icon="mdiCheckboxMarkedCircle"></v-btn>
        </v-col>
      </v-row> -->
<!-- 3-->
<!-- <v-row>
        <v-col> 1 </v-col>
        <v-col> ไข่เจียว </v-col>
        <v-col> 6 </v-col>
        <v-col>
          <v-btn color="grey" :prepend-icon="mdiCheckboxMarkedCircle"></v-btn>
        </v-col>
      </v-row>
    </v-container>
    <v-footer color="grey"> </v-footer>
  </v-card> -->
<!-- </v-container>
  </v-card> -->
<!-- </template>
<style scoped></style> -->
